Bug 134279 - NFS locks not released when client side application dies.
Summary: NFS locks not released when client side application dies.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-30 20:45 UTC by Robert Jones
Modified: 2015-01-04 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 01:16:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Jones 2004-09-30 20:45:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
This is the same bug as #84134 logged against RHEL3.  

When an application dies unexpectedly while holding a file lock on an
NFS mounted filesystem, the nfs-utils doesn't clean up the NFS locks.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. Run an application that writes data to an NFS mounted drive.
2. Terminate the application with a kill -9

Actual Results:  The there are still read and write locks on the file
belonging 
to the dead processes' PID.

Expected Results:  There would be no locks held.




Additional info:

Comment 1 Steve Dickson 2004-10-15 13:22:53 UTC
This is fixed in later FC kernels....

Comment 2 Robert Jones 2004-10-15 16:03:16 UTC
I'm still seeing the problem in 2.6.8-1.521, what version are you running?

Comment 3 Dave Jones 2005-01-11 01:16:38 UTC
this should have been fixed in the 2.6.9 update, though today theres even a
2.6.10 update available.

please reopen if its still not fixed.



Note You need to log in before you can comment on or make changes to this bug.